Subject: Re: bug#27602: 11.89; non-character input; Aquamacs blocked

From: Albert Fisher <[email-masked]>
Date: Sun, 3 Mar 2024 14:11:07 -0300

Hi Arash,

Thanks for getting back to me. For some reason this bug has NOT been
bugging me at all recently, so I would guess you guys have fixed it. Ina
any case thanks for your assiduous work!

Albert

On Sun, Mar 3, 2024 at 2:02 PM Arash Esbati <[email-masked]> wrote:

> Mosè Giordano <[email-masked]> writes:
>
> > Hi Albert,
> >
> > 2017-07-06 22:19 GMT+02:00 Albert Fisher <[email-masked]>:
> >> This bug has occured before periodically. When I am editing my file, it
> >> blocks and I need to type "p" for permission for every keystroke, which
> of
> >> course is extremely annoying and also leads to errors. I then change
> from
> >> "Master File" to "Buffer" , and sometimes it works again. If not, I kill
> >> Aquamacs and Skim and usually it works properly upon restart.
> >> If not, I restart the laptop and pray. Just now, I let the computer fall
> >> asleep and was greeted by this error when I returned, and killing
> Aquamacs
> >> and Skim didn't help so I guess I'll restart.
> >
> > Sorry, I don't understand what happens here, maybe because I don't use
> > Aquamacs but plain Emacs.  While editing a *TeX file Aquamacs freezes
> > without apparent reason?  Why do you have to press "p" for
> > permissions?  What you mean by «I then change from "Master File" to
> > "Buffer"»?  What's that you change?
> >
> > I can't think of any known issue in AUCTeX that can lead to freezing
> > Emacs.  It would be great if you could find a common operation that
> > you perform whenever Aquamacs freezes.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> More information was requested which was not provided.  Therefore I'm
> closing this report.  We can reopen if new input arrives.
>
> Best, Arash
>